--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--
--  file:    icontypes.lua
--  brief:   icontypes definitions
--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

local icontypes = {
	default = {
		size=1;
		radiusadjust=1;
		distance=1;
	},
	commandericon = {
		bitmap='icons/commander2.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	square = {
		bitmap='icons/square.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	semicircle = {
		bitmap='icons/semicircle.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	triangle = {
		bitmap='icons/triangle.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	duosquare = {
		bitmap='icons/duosquare.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	multicircle = {
		bitmap='icons/multicircle.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	circle2 = {
		bitmap='icons/circle2.tga';
		size=2;
		radiusadjust=1;
		distance=1;
	},
	neverseeme = {
		bitmap='icons/neverseeme.tga';
		size=1;
		radiusadjust=1;
		distance=0.5;
	},
	seemenormal = {
		bitmap='icons/neverseeme.tga';
		size=2;
		radiusadjust=0;
		distance=1;
	},
	seemefar	= {
		bitmap='icons/neverseeme.tga';
		size=2;
		radiusadjust=0;
		distance=4;
	},
}

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

return icontypes

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

