function widget:GetInfo()
	return {
	name	= "Select at Start",
	desc	= "Selects the commanding units at game start.",
	author	= "Argh",
	date	= "August 26, 2008",
	license = "(C) Wolfe Games, 2008",
	layer	= 0,
	enabled = true	--	loaded by default?
	}
end
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

local GetPlayerInfo = Spring.GetPlayerInfo
local GetGameSeconds = Spring.GetGameSeconds
local GetMyTeamID = Spring.GetMyTeamID
local GetUnitDefID = Spring.GetUnitDefID
local GetTeamUnits = Spring.GetTeamUnits
local GetUnitPosition = Spring.GetUnitPosition
local SetCameraTarget = Spring.SetCameraTarget
local SelectUnitArray = Spring.SelectUnitArray
local center = true
local select = true
local unitArray = {}

local CommanderList = {
[UnitDefNames.glsl_test.id] = "glsl_test",
}

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
function widget:GameFrame(f)
	if f == 1 then
		_, _, spectator = GetPlayerInfo(GetMyTeamID())
		if (spectator) then
			widgetHandler:RemoveWidget()
		else
			unitArray = GetTeamUnits(GetMyTeamID())
			for _,unitID in ipairs (unitArray) do
				id = GetUnitDefID(unitID)
				if CommanderList[id] then
				local x, y, z = GetUnitPosition(unitID)
				SetCameraTarget(x, y, z)
				SelectUnitArray({unitID},true)
				end
			end
		end
	end
	if f == 2 then
		widgetHandler:RemoveWidget()
	end
end


--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
